/*
 * COPYRIGHT: FREQUENTIS AG. All rights reserved.
 *            Registered with Commercial Court Vienna,
 *            reg.no. FN 72.115b.
 */
package com.frequentis.ps.xap.lease;

import com.gigaspaces.annotation.pojo.SpaceId;
import java.io.Serializable;
import java.util.Date;

public class ExpirationObject implements Serializable {
    private static final long serialVersionUID = 1L;

    private String id;
    private Date createdAt;
    private Integer sequenceNumber;

    @SpaceId(autoGenerate = true)
    public String getId() {
        return id;
    }

    public void setId(final String id) {
        this.id = id;
    }

    public Date getCreatedAt() {
        return createdAt;
    }

    public void setCreatedAt(final Date createdAt) {
        this.createdAt = createdAt;
    }

    public Integer getSequenceNumber() {
        return sequenceNumber;
    }

    public void setSequenceNumber(final Integer sequenceNumber) {
        this.sequenceNumber = sequenceNumber;
    }

    public static ExpirationObject template() {
        return new ExpirationObject();
    }

    public static ExpirationObject newInstance(final int sequenceNumber) {
        ExpirationObject instance = new ExpirationObject();
        instance.setCreatedAt(new Date());
        instance.setSequenceNumber(sequenceNumber);
        return instance;
    }
}